package fiw.core.insert;

/**
 * Generates a new key in case a key fails with a key collision
 * @author mihi
 */
public interface KeyFallback {

    /**
     * Returns the next key to try.
     * @param key the current key.
     * @return the next key or <code>null</code> if no fallback
     * is available.
     */
    public String nextKey(String key);
}
