package fiw.core.insert.event;
import fiw.core.insert.*;

/**
 * Common superclass for all events sent by jobs.
 */
public abstract class AbstractJobInsertEvent extends AbstractInsertEvent {

    private int jobNumber;
    
    public AbstractJobInsertEvent(int jobNumber) {
	this.jobNumber=jobNumber;
    }
    
    public int getJobNumber() {
	return jobNumber;
    }

    protected  String makeLogString(int retry,
					  String action, String desc) {
	return "#"+InsertContext.num(jobNumber)+" "+(retry==-1?"--":
				    (retry==-2?"  ":
				     InsertContext.num(retry+1)))+
	    " "+action+desc;
    }

    protected String makeJobLogString(int retry, String action,
				      String desc) {
	    return (retry==-2||retry==-3?"":(retry==-1?"-- ":
				    InsertContext.num(retry+1)+" "))+
		  action+
		  (retry==-3?"   ":"")+
		  desc;
    }
}
