package fiw.core.jobs;

/** Implemented by Jobs that can produce metadata for other jobs. */
public interface MetadataProducing {
    /**
     * Returns a string of metadata, containing the starting
     * <tt>"EndPart\n"</tt> but not containing the trailing
     * <tt>"End\n"</tt>. So an empty string will lead to the usual
     * "Version/Revision/End" metadata.
     */
    public String produceMetadata();
}
